Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1266624 - [abrt] control-center: g_type_check_instance_cast(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: g_type_check_instance_cast(): gnome-control-center kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b7a26a05c6d4355a93fba749dc6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-25 21:38 UTC by Justin W. Flory (he/him)
Modified: 2016-12-20 14:45 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 14:45:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (79.37 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: core_backtrace (5.27 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: dso_list (28.77 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: environ (1.96 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: maps (131.76 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: mountinfo (3.43 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: open_fds (3.51 KB, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-09-25 21:38 UTC, Justin W. Flory (he/him)
no flags Details

Description Justin W. Flory (he/him) 2015-09-25 21:38:09 UTC
Description of problem:
I had just added a Microsoft account to my Online Accounts in the Control Center. As soon as I entered my information, it crashed. However, when I reopened the Control Center, my Microsoft account was still saved.

Version-Release number of selected component:
control-center-3.17.92-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-control-center user-accounts
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-control-center
global_pid:     3056
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4060
 #1 cookiesDidChange at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:132
 #2 IPC::callMemberFunctionImpl<WebKit::WebCookieManagerProxy, void (WebKit::WebCookieManagerProxy::*)(), std::tuple<>>(WebKit::WebCookieManagerProxy*, void (WebKit::WebCookieManagerProxy::*)(), std::tuple<>&&, std::index_sequence<>) at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/Platform/IPC/HandleMessage.h:16
 #3 IPC::callMemberFunction<WebKit::WebCookieManagerProxy, void (WebKit::WebCookieManagerProxy::*)(), std::tuple<>, std::make_index_sequence<0ul> >(std::tuple<>&&, WebKit::WebCookieManagerProxy*, void (WebKit::WebCookieManagerProxy::*)()) at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/Platform/IPC/HandleMessage.h:22
 #4 IPC::handleMessage<Messages::WebCookieManagerProxy::CookiesDidChange, WebKit::WebCookieManagerProxy, void (WebKit::WebCookieManagerProxy::*)()> at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/Platform/IPC/HandleMessage.h:92
 #5 WebKit::WebCookieManagerProxy::didReceiveMessage at /usr/src/debug/webkitgtk-2.9.92/x86_64-redhat-linux-gnu/DerivedSources/WebKit2/WebCookieManagerProxyMessageReceiver.cpp:49
 #6 IPC::MessageReceiverMap::dispatchMessage at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/Platform/IPC/MessageReceiverMap.cpp:102
 #7 WebKit::WebProcessPool::dispatchMessage at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/UIProcess/WebProcessPool.cpp:1103
 #8 WebKit::WebProcessProxy::didReceiveMessage at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/UIProcess/WebProcessProxy.cpp:481
 #9 IPC::Connection::dispatchMessage at /usr/src/debug/webkitgtk-2.9.92/Source/WebKit2/Platform/IPC/Connection.cpp:903

Potential duplicate: bug 1246708

Comment 1 Justin W. Flory (he/him) 2015-09-25 21:38:13 UTC
Created attachment 1077270 [details]
File: backtrace

Comment 2 Justin W. Flory (he/him) 2015-09-25 21:38:14 UTC
Created attachment 1077271 [details]
File: cgroup

Comment 3 Justin W. Flory (he/him) 2015-09-25 21:38:15 UTC
Created attachment 1077272 [details]
File: core_backtrace

Comment 4 Justin W. Flory (he/him) 2015-09-25 21:38:17 UTC
Created attachment 1077273 [details]
File: dso_list

Comment 5 Justin W. Flory (he/him) 2015-09-25 21:38:18 UTC
Created attachment 1077274 [details]
File: environ

Comment 6 Justin W. Flory (he/him) 2015-09-25 21:38:19 UTC
Created attachment 1077275 [details]
File: exploitable

Comment 7 Justin W. Flory (he/him) 2015-09-25 21:38:20 UTC
Created attachment 1077276 [details]
File: limits

Comment 8 Justin W. Flory (he/him) 2015-09-25 21:38:22 UTC
Created attachment 1077277 [details]
File: maps

Comment 9 Justin W. Flory (he/him) 2015-09-25 21:38:23 UTC
Created attachment 1077278 [details]
File: mountinfo

Comment 10 Justin W. Flory (he/him) 2015-09-25 21:38:24 UTC
Created attachment 1077279 [details]
File: namespaces

Comment 11 Justin W. Flory (he/him) 2015-09-25 21:38:25 UTC
Created attachment 1077280 [details]
File: open_fds

Comment 12 Justin W. Flory (he/him) 2015-09-25 21:38:26 UTC
Created attachment 1077281 [details]
File: proc_pid_status

Comment 13 Stefan 2015-09-27 17:13:34 UTC
Another user experienced a similar problem:

Open Settings >> Online Accounts and then set the credentials for a Microsoft account. 
After sign in into the account and accepting the App permissions, this problem occurs.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-control-center
global_pid:     2516
kernel:         4.2.1-300.fc23.x86_64
package:        control-center-3.18.0-1.fc23
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Stefan 2015-10-17 09:14:12 UTC
I would like to add, that after the last updates, this issue seems to be solved.

It is no longer reproducible.


Name        : control-center
Arch        : x86_64
Epoch       : 1
Version     : 3.18.1
Release     : 1.fc23
Size        : 18 M
Repo        : @System
From repo   : updates-testing

Comment 15 Fedora End Of Life 2016-11-24 12:36:28 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2016-12-20 14:45:22 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.